package pl.elzab.virtualcomsample.activity;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import pl.elzab.virtualcomsample.R;

/**
 * Menu activity.
 * @author ElzabSoft
 * @version 1.01
 */
public class DeviceSelectionActivity extends Activity {
    /** Elzab Prima2 activity */
    Button mButtonPrima;
    /** Exit button */
    Button mButtonExit;
    /** Elzab Zetas/D10 activity */
    Button mButtonZetaD10;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_device_selection);

        mButtonPrima = (Button) findViewById(R.id.buttonPrima2Test);
        mButtonPrima.setOnClickListener(new View.OnClickListener() {
                                            @Override
                                            public void onClick(View arg0) {
                                                Intent intent = new Intent(DeviceSelectionActivity.this, Prima2TestActivity.class);
                                                startActivity(intent);
                                                finish();
                                            }
                                        }
        );

        mButtonZetaD10 = (Button) findViewById(R.id.buttonZetaTest);
        mButtonZetaD10.setOnClickListener(new View.OnClickListener() {
                                              @Override
                                              public void onClick(View arg0) {
                                                  //Intent intent = new Intent(DeviceSelectionActivity.this, ZetaD10TestActivity.class);
                                                  Intent intent = new Intent(DeviceSelectionActivity.this, ZetaD10TestActivity.class);
                                                  startActivity(intent);
                                                  finish();
                                              }
                                          }
        );

        mButtonExit = (Button) findViewById(R.id.buttonExit);
        mButtonExit.setOnClickListener(new View.OnClickListener() {
                                           @Override
                                           public void onClick(View arg0) {
                                               finish();
                                               System.exit(0);
                                           }
                                       }
        );
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_device_selection, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
