package pl.elzab.virtualcomsample.dataobject;

import pl.elzab.virtualcomsample.dataobject.StatusInfo;

/**
 * data model for message list on screen
 * @author ElzabSoft
 * @version 1.01
 */
public class ListItemDataModel {

    /** message id */
    private int mId;
    /** status info */
    private StatusInfo mStatusInfo;

    /** basic constructor
     * @param id message id
     * @param statusInfo information about status
     */
    public ListItemDataModel(int id, StatusInfo statusInfo) {
        mId = id;
        mStatusInfo = statusInfo;
    }

    /** getter */
    public int getId() {
        return mId;
    }
    /** setter */
    public void setId(int id) {
        mId = id;
    }
    /** getter */
    public StatusInfo getStatusInfo() {
        return mStatusInfo;
    }
    /** setter */
    public void setStatusInfo(StatusInfo statusInfo) {
        mStatusInfo = statusInfo;
    }
}
