package pl.elzab.virtualcomsample.dataobject;

/**
 * Represents position of fiscal receipt.
 * @author ElzabSoft
 * @version 1.01
 */
public class StxReceiptPosition {
    /** name of product */
    private String mProductName;
    /** unit of product quantity */
    private String mQuantityUnit;
    /** product quantity */
    private Float mQuantity;
    /** product price */
    private Float mPrice;

    /** default constructor */
    public StxReceiptPosition(String productName, String quantityUnit, Float quantity, Float price) {
        mProductName = productName;
        mQuantityUnit = quantityUnit;
        mQuantity = quantity;
        mPrice = price;
    }

    /** returns product name */
    public String GetName(){
        return mProductName;
    }
    /** returns quantity unit */
    public String GetQuantityUnit() {
        return mQuantityUnit;
    }
    /** returns product quantity */
    public Float GetQuantity() {
        return mQuantity;
    }
    /** returns product price */
    public Float GetPrice() {
        return mPrice;
    }
}
